Get a task by ID

Returns a Task.

Authentication

AuthorizationBasic

Basic authentication of the form Basic <base64(username:password)>.

Path parameters

idstringRequiredformat: "^[0-9a-f]{24}$"
The id of the Task to get.

Query parameters

includestringOptional

Inclusive projection operator formatted as a comma-delineated list. ‘_id’ will be included implicitly unless excluded with ‘exclude=_id’. May only be used in conjunction with ‘exclude’ when ‘exclude=_id’.

excludestringOptional

Exclusive projection operator formatted as a comma-delineated list. May only be used in conjunction with ‘include’ when ‘exclude=_id’.

dereferencestringOptional
Designates foreign key fields to dereference in the API output. The main function of this parameter is to retrieve extra information on a task that would not ordinarily be included. If information is needed on the task's parent job, the dereference parameter may be given a value of 'job'. This will look up the full job document and place it under the 'job' property in the task document. If the output of a child job task is needed, the dereference parameter may be given a value of 'child-job-output'. This will look up the output of the job initiated by the child job task. If the child job has loop settings each individual output will be provided in an array under the property 'variables.outgoing.job_details.loop'. If the child job does not have loop settings, the output of the single job document will be provided under the property 'variables.outgoing.job_details.output'.

Response

The requested Task.
messagestring

A human-readable message summarizing the result of the operation

dataobject
Any successfully retrieved information related to the request.
metadatamap from strings to any

Any structured, wordy or machine-readable information related to the result of the operation. For success responses, this may contain information like pagination values from a search operation.

Errors

500
Internal Server Error